Skip to content

Gets plans that are available for devices​

GET
/devices/plans

Gets plans that are available for the provided devices.
If multiple devices are provided, only plans that are available to all devices will be returned.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Header Parameters

X-Query

Optionally provide parameters as a JSON object in this header. X-Query values take precedence over query parameters for any overlapping fields.

Type
string
Example{"deviceIdentifiers":"ABC123,35987654321"}

Query Parameters

deviceIdentifiers

Comma separated device identifiers (serial, imei, id, etc.)

Type
string
_limit

Limit for pagination, default 10, max 10000

Type
integer
_page

Page for pagination

Type
integer
_include

Include additional data

Type
array

Request example

Responses​

OK

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"description": "string",
  
  
  
"displayName": "string",
  
  
  
"features": "string",
  
  
  
"id": 0,
  
  
  
"name": "string",
  
  
  
"onoWhitelistId": 0,
  
  
  
"prices": {
  
  
  
  
"eur": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"gbp": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"tax": "[Circular Reference]",
  
  
  
  
"usd": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
]
  
  
  
},
  
  
  
"sku": "string",
  
  
  
"sleepLimit": 0,
  
  
  
"wakeLimit": 0
  
  
}
  
],
  
"limit": 0,
  
"page": 0,
  
"totalElements": 0,
  
"totalPages": 0
}
Try this endpoint

Playground​

Authorization
Headers
Variables
Key
Value